#
# spec file for package apache-rpm-macros
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} < 1130
%define _libexecdir   /usr/lib
%endif

%define ap_major          2
%define ap_branch         %(rpm -q --qf "%%{version}" apache%{ap_major} | sed "s:\\(\\..*\\)\\..*:\\1:")
%define ap_pname          apache%{ap_major}
%define ap_apxs           %(rpm -ql apache%{ap_major}-devel | grep 'apxs[2]\\?$' | head -n 1)
%define ap_cflags         %(%{ap_apxs} -q CFLAGS)
%define ap_includedir     %(%{ap_apxs} -q INCLUDEDIR)
%define ap_libexecdir     %(%{ap_apxs} -q LIBEXECDIR)
%define ap_localstatedir  %(%{ap_apxs} -q LOCALSTATEDIR)
%define ap_mmn            %(MMN=$(%{ap_apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define ap_maint_mmn      %(MMN=$(rpm -q --provides apache2 | grep suse_maintenance_mmn); test -z "$MMN" && MMN=apache2; echo $MMN)
%define ap_serverroot     %(%{ap_apxs} -q PREFIX)
%define ap_sysconfdir     %(%{ap_apxs} -q SYSCONFDIR)
%define ap_datadir        %(%{ap_apxs} -q DATADIR)
%define ap_user           wwwrun
%define ap_group          www
#
%if 0%{?suse_version} > 1230
%define macros_dir            %{_libexecdir}/rpm/macros.d
%else
%define macros_dir            %{_sysconfdir}/rpm
%endif
%define macros_file           macros.apache
Name:           apache-rpm-macros
Version:        20150717
Release:        6.4
Summary:        Apache RPM Macros
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://httpd.apache.org/
BuildRequires:  apache%{ap_major}-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
RPM Macros intended for Apache modules spec files.

%prep

%build
cat << eom > %{macros_file}
%%apache_major                   %{ap_major}
%%apache_branch                  %{ap_branch}
%%apache_pname                   %{ap_pname}
%%apache_apxs                    %{ap_apxs}
%%apache_cflags                  %{ap_cflags}
%%apache_includedir              %{ap_includedir}
%%apache_libexecdir              %{ap_libexecdir}
%%apache_localstatedir           %{ap_localstatedir}
%%apache_mmn                     %{ap_mmn}
%%apache_suse_maintenance_mmn    %{ap_maint_mmn}
%%apache_serverroot              %{ap_serverroot}
%%apache_sysconfdir              %{ap_sysconfdir}
%%apache_datadir                 %{ap_datadir}
%%apache_user                    %{ap_user}
%%apache_group                   %{ap_group}
eom

%install
mkdir -p %{buildroot}%{macros_dir}
install -m 644 %{macros_file} %{buildroot}%{macros_dir}

%files
%defattr(-,root,root)
%dir %{macros_dir}
%{macros_dir}/%{macros_file}

%changelog
* Mon Jul 27 2015 pgajdos@suse.com
- bump version to 20150717 [bnc#915666]
* Fri Jul 17 2015 pgajdos@suse.com
- %%{apache_suse_maintenance_mmn} expands to just 'apache2' when
  apache2 does not provide suse_maintenance_mmn_# symbol
* Mon Jul 13 2015 pgajdos@suse.com
- new macro: %%{apache_suse_maintenance_mmn} [bnc#915666] (internal)
* Tue Nov 11 2014 pgajdos@suse.com
- new macros: %%{apache_user}, %%{apache_group} [bnc#904409]
* Tue Nov  4 2014 pgajdos@suse.com
- add %%{apache_datadir} macro
* Mon Nov  3 2014 pgajdos@suse.com
- fix %%{apache_apxs} macro
* Fri Oct 31 2014 pgajdos@suse.com
- fix %%{apache_branch} macro
* Fri Oct 17 2014 pgajdos@suse.com
- initial version of package 20141017 [bnc#673937]
